package nc.vo.fa.billsendVO;

import nc.vo.pub.lang.UFDouble;

/**
 * 资金合并/拆分表体VO
 * 
 * @author CCY
 *
 */
public class AssetsBodyVo {
	private String pk_card;
	public String getPk_card() {
		return pk_card;
	}

	public void setPk_card(String pk_card) {
		this.pk_card = pk_card;
	}

	private String card_code;// 卡片编号 pk_card.card_code
	private String asset_code;// 资产编码 pk_card.asset_code
	private String pk_addreducestyle;// 减少方式 pk_addreducestyle
	private String asset_name;// 资产名称 bodyvos.pk_card.asset_name
	private String pk_category;// 资产类别 bodyvos.pk_card.pk_category
	private String pk_usedept;// 使用部门
	/*
	 * pk_card.pk_equip_usedept pk_card.pk_equip_usedept_v
	 */

	private String pk_mandept;// 管理部门 bodyvos.pk_card.pk_mandept
	private String mandept_name;//管理部门名称
	private String mandept_code;//管理部门编码
	private String paydept_flag;// 折旧承担部门
	private String paydept_flag_name;//折旧承担部门名称
	private String paydept_flag_code;//折旧承担部门编码
	private String pk_usingstatus;// 使用状况 bodyvos.pk_card.pk_usingstatu
	private String pk_depmethod;// 折旧方法 bodyvos.pk_card.pk_depmetho
	private Integer naturemonth;// 使用月限 bodyvos.pk_card.naturemonth
	private UFDouble accuworkloan;// 累计工作量 pk_card.accuworkloan
	private Integer usedmonth;// 已计提期数 bodyvos.pk_card.usedmonth
//	　需要补充缺失字段	

	private Integer card_num;// 数量
	private UFDouble originvalue;// 原币原值 bodyvos.pk_card.
	public String getMandept_name() {
		return mandept_name;
	}

	public void setMandept_name(String mandept_name) {
		this.mandept_name = mandept_name;
	}

	public String getMandept_code() {
		return mandept_code;
	}

	public void setMandept_code(String mandept_code) {
		this.mandept_code = mandept_code;
	}

	public String getPaydept_flag_name() {
		return paydept_flag_name;
	}

	public void setPaydept_flag_name(String paydept_flag_name) {
		this.paydept_flag_name = paydept_flag_name;
	}

	public String getPaydept_flag_code() {
		return paydept_flag_code;
	}

	public void setPaydept_flag_code(String paydept_flag_code) {
		this.paydept_flag_code = paydept_flag_code;
	}

	private UFDouble localoriginval;// 本币原值
	private UFDouble accudep;// 累计折旧 bodyvos..
	private UFDouble curryeardep;// 本年折旧
	private UFDouble salvage;// 净残值 bodyvos..
	private UFDouble netvalue;// 净值

	public String getPk_addreducestyle() {
		return pk_addreducestyle;
	}

	public void setPk_addreducestyle(String pk_addreducestyle) {
		this.pk_addreducestyle = pk_addreducestyle;
	}

	public Integer getCard_num() {
		return card_num;
	}

	public void setCard_num(Integer card_num) {
		this.card_num = card_num;
	}

	public UFDouble getOriginvalue() {
		return originvalue;
	}

	public void setOriginvalue(UFDouble originvalue) {
		this.originvalue = originvalue;
	}

	public UFDouble getLocaloriginval() {
		return localoriginval;
	}

	public void setLocaloriginval(UFDouble localoriginval) {
		this.localoriginval = localoriginval;
	}

	public UFDouble getAccudep() {
		return accudep;
	}

	public void setAccudep(UFDouble accudep) {
		this.accudep = accudep;
	}

	public UFDouble getCurryeardep() {
		return curryeardep;
	}

	public void setCurryeardep(UFDouble curryeardep) {
		this.curryeardep = curryeardep;
	}

	public UFDouble getSalvage() {
		return salvage;
	}

	public void setSalvage(UFDouble salvage) {
		this.salvage = salvage;
	}

	public UFDouble getNetvalue() {
		return netvalue;
	}

	public void setNetvalue(UFDouble netvalue) {
		this.netvalue = netvalue;
	}

	public String getCard_code() {
		return card_code;
	}

	public void setCard_code(String card_code) {
		this.card_code = card_code;
	}

	public String getAsset_code() {
		return asset_code;
	}

	public void setAsset_code(String asset_code) {
		this.asset_code = asset_code;
	}

	public String getAsset_name() {
		return asset_name;
	}

	public void setAsset_name(String asset_name) {
		this.asset_name = asset_name;
	}

	public String getPk_category() {
		return pk_category;
	}

	public void setPk_category(String pk_category) {
		this.pk_category = pk_category;
	}

	public String getPk_usedept() {
		return pk_usedept;
	}

	public void setPk_usedept(String pk_usedept) {
		this.pk_usedept = pk_usedept;
	}

	public String getPk_mandept() {
		return pk_mandept;
	}

	public void setPk_mandept(String pk_mandept) {
		this.pk_mandept = pk_mandept;
	}

	public String getPaydept_flag() {
		return paydept_flag;
	}

	public void setPaydept_flag(String paydept_flag) {
		this.paydept_flag = paydept_flag;
	}

	public String getPk_usingstatus() {
		return pk_usingstatus;
	}

	public void setPk_usingstatus(String pk_usingstatus) {
		this.pk_usingstatus = pk_usingstatus;
	}

	public String getPk_depmethod() {
		return pk_depmethod;
	}

	public void setPk_depmethod(String pk_depmethod) {
		this.pk_depmethod = pk_depmethod;
	}

	public Integer getNaturemonth() {
		return naturemonth;
	}

	public void setNaturemonth(Integer naturemonth) {
		this.naturemonth = naturemonth;
	}

	public UFDouble getAccuworkloan() {
		return accuworkloan;
	}

	public void setAccuworkloan(UFDouble accuworkloan) {
		this.accuworkloan = accuworkloan;
	}

	public Integer getUsedmonth() {
		return usedmonth;
	}

	public void setUsedmonth(Integer usedmonth) {
		this.usedmonth = usedmonth;
	}

	@Override
	public String toString() {
		return "{\"pk_card\":\"" + pk_card + "\",\"card_code\":\"" + card_code + "\",\"asset_code\":\"" + asset_code
				+ "\",\"pk_addreducestyle\":\"" + pk_addreducestyle + "\",\"asset_name\":\"" + asset_name
				+ "\",\"pk_category\":\"" + pk_category + "\",\"pk_usedept\":\"" + pk_usedept + "\",\"pk_mandept\":\""
				+ pk_mandept + "\",\"mandept_name\":\"" + mandept_name + "\",\"mandept_code\":\"" + mandept_code
				+ "\",\"paydept_flag\":\"" + paydept_flag + "\",\"paydept_flag_name\":\"" + paydept_flag_name
				+ "\",\"paydept_flag_code\":\"" + paydept_flag_code + "\",\"pk_usingstatus\":\"" + pk_usingstatus
				+ "\",\"pk_depmethod\":\"" + pk_depmethod + "\",\"naturemonth\":\"" + naturemonth
				+ "\",\"accuworkloan\":\"" + accuworkloan + "\",\"usedmonth\":\"" + usedmonth + "\",\"card_num\":\""
				+ card_num + "\",\"originvalue\":\"" + originvalue + "\",\"localoriginval\":\"" + localoriginval
				+ "\",\"accudep\":\"" + accudep + "\",\"curryeardep\":\"" + curryeardep + "\",\"salvage\":\"" + salvage
				+ "\",\"netvalue\":\"" + netvalue + "\"} ";
	}

}
